# Uses of Class
org.apache.lucene.codecs.bloom.BloomFilterFactory

Packages that use BloomFilterFactory
Package
Description
org.apache.lucene.codecs.bloom
Codec PostingsFormat for fast access to low-frequency terms such as primary key fields.

- ## Uses of BloomFilterFactory in org.apache.lucene.codecs.bloom

  Subclasses of BloomFilterFactory in org.apache.lucene.codecs.bloom
  Modifier and Type
  Class
  Description
  `class`
  `DefaultBloomFilterFactory`
  Default policy is to allocate a bitset with 10% saturation given a unique term per document.
  Constructors in org.apache.lucene.codecs.bloom with parameters of type BloomFilterFactory
  Modifier
  Constructor
  Description
  ``
  `BloomFilteringPostingsFormat(PostingsFormat delegatePostingsFormat, BloomFilterFactory bloomFilterFactory)`
  Creates Bloom filters for a selection of fields created in the index.